API

Users

Read and change the account of the authenticated user.

GET
/users/me

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/users/me"
{  "id": "string",  "email": "user@example.com",  "displayName": "string",  "avatarUrl": "http://example.com",  "primaryProvider": "github",  "createdAt": 0,  "lastLoginAt": 0}
GET
/users/me/identities

Response Body

application/json

application/json

curl -X GET "https://example.com/users/me/identities"
{  "identities": [    {      "id": "string",      "userId": "string",      "provider": "github",      "externalUserId": "string",      "externalUsername": "string",      "createdAt": 0    }  ]}
POST
/users/me/identities

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/users/me/identities" \  -H "Content-Type: application/json" \  -d '{    "provider": "github",    "externalUserId": "string"  }'
{  "identities": [    {      "id": "string",      "userId": "string",      "provider": "github",      "externalUserId": "string",      "externalUsername": "string",      "createdAt": 0    }  ]}
DELETE
/users/me/identities/{identityId}

Path Parameters

identityId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/users/me/identities/string"
{  "ok": true}
GET
/users/me/email-preferences

Response Body

application/json

application/json

curl -X GET "https://example.com/users/me/email-preferences"
{  "onboardingEmails": true}
PUT
/users/me/email-preferences

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/users/me/email-preferences" \  -H "Content-Type: application/json" \  -d '{    "onboardingEmails": true  }'
{  "onboardingEmails": true}
POST
/users/me/identities/linear

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/users/me/identities/linear" \  -H "Content-Type: application/json" \  -d '{    "accessToken": "string"  }'
{  "identities": [    {      "id": "string",      "userId": "string",      "provider": "github",      "externalUserId": "string",      "externalUsername": "string",      "createdAt": 0    }  ]}
POST
/users/me/terms

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/users/me/terms" \  -H "Content-Type: application/json" \  -d '{    "termsVersion": "string"  }'
{  "termsVersion": "string",  "acceptedAtSec": 0}
POST
/email/unsubscribe

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/email/unsubscribe" \  -H "Content-Type: application/json" \  -d '{    "token": "stringstri",    "source": "one_click"  }'
{  "unsubscribed": true}

How is this page?